#%RAML 1.0
baseUri: https://anypoint.mulesoft.com/mocking/api/v1/links/cd6b8adf-51c5-431d-89a4-0be5bf0d4f09/ # 
version: v1
title: Free FB API
description: Free FB Subscription via Mobile Number

types:
  apigeeRequest: !include Datatype/apigeeRequest.raml
  apigeeResponse: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/api-response-datatype-api/1.0.0/api-response-datatype-api.raml

traits:
  headerTrait: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/header-securable/1.0.0/header-securable.raml

/freefb:
  post:
    is:
      - headerTrait
    body:
      application/json:
        type: apigeeRequest
        example: !include Examples/apigeeRequestValidExample.json
    responses:
      200:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseValidExample.json
      400:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError400Example.json
      404:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError404Example.json 
      405:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError405Example.json
      406:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError406Example.json
      415:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError415Example.json
      500:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError500Example.json
      501:
        body:
          application/json:
            type: apigeeResponse
            example: !include Examples/apigeeResponseError501Example.json